Package com.sun.jna

# Interface FromNativeConverter

All Known Subinterfaces:
  `TypeConverter`

All Known Implementing Classes:
  `EnumConverter`, `NativeMappedConverter`

public interface FromNativeConverter
Define conversion from a native type to the appropriate Java type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `fromNative(Object nativeValue, FromNativeContext context)`
  Convert the given native object into its Java representation using the given context.
  `Class<?>`
  `nativeType()`
  Indicate the native type used by this converter.

- ## Method Details

  - ### fromNative

    Object fromNative(Object nativeValue, FromNativeContext context)
    Convert the given native object into its Java representation using the given context.

  - ### nativeType

    Class<?> nativeType()
    Indicate the native type used by this converter.